Bug 63653 - --preload is not functional
Summary: --preload is not functional
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: mkinitrd (Show other bugs)
(Show other bugs)
Version: skipjack-beta2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 61590
TreeView+ depends on / blocked
 
Reported: 2002-04-16 22:36 UTC by RLX Technologies
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-17 13:06:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description RLX Technologies 2002-04-16 22:36:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020326

Description of problem:
mkinitrd --preload <module> is not functional

Version-Release number of selected component (if applicable):
mkinitrd-3.3.6-2

How reproducible:
Always

Steps to Reproduce:
1. Use the --preload option to mkinitrd


Actual Results:  The module specified is echoed. eg. PRE <module>

Expected Results:  An initial ramdisk should be created containing the modules
specified with --preload options.

Additional info:

Looking at the mkinitrd script I found the following:

note the 'exit 0'

---------------------------------------------------------
        --preload*)
            if echo $1 | grep '=' >/dev/null ; then
                modname=`echo $1 | sed 's/^--preload=//'`
            else
                modname=$2
                shift
            fi
            PREMODS="$PREMODS $modname"
            echo PRE $PREMODS
            exit 0
            ;;
---------------------------------------------------------

Comment 1 Matt Wilson 2002-04-16 22:40:50 UTC
oops, you're right.


Comment 2 Erik Troan 2002-04-17 13:05:36 UTC
fixed in 3.3.10

Comment 3 Erik Troan 2002-04-17 13:06:12 UTC
Realized I should leave this open until the fix gets built into a tree.

Comment 4 Jeremy Katz 2002-04-17 16:13:01 UTC
And built


Note You need to log in before you can comment on or make changes to this bug.